Xerces-J API: Class AnySimpleType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class AnySimpleType

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AnySimpleType

public class AnySimpleType
extends AbstractDatatypeValidator

AnySimpleType is the base of all simple types.

Version:
  $Id: AnySimpleType.java,v 1.1 2001/07/19 22:37:46 sandygao Exp $
Author:
  Sandy Gao

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`AnySimpleType()`
`AnySimpleType(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()`
`int` | `compare(java.lang.String value1, java.lang.String value2)` Compares content in the Domain value vs.
`short` | `getWSFacet()` default value for whiteSpace facet is collapse this function is overwritten in StringDatatypeValidator
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnySimpleType

    public AnySimpleType()
                  throws InvalidDatatypeFacetException

### AnySimpleType

    public AnySimpleType(DatatypeValidator base,
                         java.util.Hashtable facets,
                         boolean derivedByList)
                  throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Description copied from class: AbstractDatatypeValidator
  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.
  Overrides:
    validate in class AbstractDatatypeValidator
  Tags copied from class: AbstractDatatypeValidator
  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  See Also:
    `InvalidDatatypeValueException`

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    clone in class AbstractDatatypeValidator

### getWSFacet

    public short getWSFacet()

  Description copied from class: AbstractDatatypeValidator
  default value for whiteSpace facet is collapse this function is overwritten in StringDatatypeValidator
  Overrides:
    getWSFacet in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.